org.apache.sling.launchpad.startupmanager

## Class StartupListenerTracker

- java.lang.Object
- - org.apache.sling.launchpad.startupmanager.StartupListenerTracker

All Implemented Interfaces:
  EventListener, org.osgi.framework.BundleListener, org.osgi.framework.FrameworkListener

    public class StartupListenerTracker
    extends Object
    implements org.osgi.framework.FrameworkListener, org.osgi.framework.BundleListener

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `bundleChanged(org.osgi.framework.BundleEvent event)`
`void` `close()`
`void` `frameworkEvent(org.osgi.framework.FrameworkEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### close

    public void close()

#### frameworkEvent

    public void frameworkEvent(org.osgi.framework.FrameworkEvent event)

Specified by:
  `frameworkEvent` in interface `org.osgi.framework.FrameworkListener`

#### bundleChanged

    public void bundleChanged(org.osgi.framework.BundleEvent event)

Specified by:
  `bundleChanged` in interface `org.osgi.framework.BundleListener`